"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld');
// Script/HelloWorld.js

"use strict";

var http = require("http");
cc.Class({
    extends: cc.Component,

    properties: {
        aPrefab: cc.Prefab
    },
    onLoad: function onLoad() {
        var node = cc.instantiate(this.aPrefab);
        cc.loader.loadResDir("dragon", dragonBones.DragonBonesAsset, function (err, db) {
            cc.loader.loadResDir("texture", dragonBones.DragonBonesAtlasAsset, function (err, as) {
                node.getComponent(dragonBones.ArmatureDisplay).dragonAsset = db[0];
                node.getComponent(dragonBones.ArmatureDisplay).armatureName = "armatureName";
                node.getComponent(dragonBones.ArmatureDisplay).dragonAtlasAsset = as[0];
                node.getComponent(dragonBones.ArmatureDisplay).playAnimation("stand", 0);
            });
        });
        node.parent = this.node;
    }
    // called every frame
});

cc._RF.pop();